// routes/userRoutes.js
const express = require('express');
const router = express.Router();
const userController = require('../controllers/userController');

// สร้าง (Create)
router.post('/', userController.createUser);
// อ่านทั้งหมด
router.get('/', userController.getAllUsers);
// อ่านรายคน
router.get('/:id', userController.getUserById);
// อัปเดต
router.put('/:id', userController.updateUser);
// ลบ
router.delete('/:id', userController.deleteUser);

module.exports = router;
